httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Greg Stein <gst...@lyra.org>
Subject Re: libtool 1.4.2 vs. libtool 1.5 for httpd releases
Date Fri, 13 Jun 2003 07:30:31 GMT
On Thu, Jun 12, 2003 at 03:01:36PM -0400, Jeff Trawick wrote:
> Justin Erenkrantz wrote:
> >On Thu, Jun 12, 2003 at 02:48:20PM -0400, Jeff Trawick wrote:
> >>Meanwhile, are there problems with 1.4.2 that our users have experienced?
> >>
> >>Maybe there is no win here, but if 1.4.2 has no known problems then 
> >>maybe we should stick with that until the use of libtool 1.5 doesn't 
> >>bring with it any C++-related checks.
> >
> >You need at least 1.4.3 because it adds the sed checks for Solaris that
> >are required.
> 
> good info!
> 
> >We can have our release script to enforce only with 1.4.3, but I think
> >buildconf should still allow 1.5.  -- justin
> 
> certainly...  I was only concerned with which libtool was used to build 
> the release tarballs

The Subversion project does this: autogen.sh (basically, buildconf) allows
1.4.x, but the release tarballs are required to use libtool 1.4.3. Works out
nicely. Not sure if the checks allow 1.5 or not. *shrug*

I'm a big +1 on falling back to 1.4.3 for the releases. The 1.5 stuff breaks
third party modules (like SVN) in certain build environments.

Cheers,
-g

-- 
Greg Stein, http://www.lyra.org/

Mime
View raw message